#ifndef _GTK_BITCHX_
#define _GTK_BITCHX_

#if defined(GUI)
#ifdef __linux__
/* For glibc linux systems. */ 
#ifndef _REENTRANT
#define _REENTRANT
#endif
#ifndef _POSIX_SOURCE             
#define _POSIX_SOURCE
#endif
#define _P __P                 
#endif                         

/* So X11/X.h won't get included */
#define X_H

void menuitemhandler(gpointer *data);
GtkWidget *newsubmenu(MenuStruct *menutoadd);
#endif

void gui_mutex_lock(void);
void gui_mutex_unlock(void);

#endif